import { OnInit, ElementRef } from '@angular/core';
import { BaseComponent } from '../base/base.component';
export declare class NavbarComponent extends BaseComponent implements OnInit {
    navMenu: ElementRef;
    expand: string;
    dark: boolean;
    backgroundColor: string;
    isOpen: boolean;
    constructor();
    ngOnInit(): void;
    toggleMenu(): void;
}
